E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::FileIterator Class Reference

A 'body' class for the MessageStore::Iterator 'handle'. More...

Inheritance diagram for GSmtp::FileIterator:

## Public Member Functions
| FileIterator (FileStore &store, const G::Path &dir, bool lock, bool failures)
virtual unique_ptr< GSmtp::StoredMessage > | next ()

## Additional Inherited Members
Public Attributes inherited from GSmtp::MessageStore::IteratorImp
unsigned long | m_ref_count

## Detailed Description

A 'body' class for the MessageStore::Iterator 'handle'.

The handle/body pattern allows us to copy iterators by value and therefore return them from MessageStore::iterator().

Definition at line 49 of file gfilestore.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gfilestore.cpp